# $Revision: 1.26.2.8 $, $Date: 2008-02-21 18:01:51 $
Summary:	The MusicBrainz tagging library
Summary(pl.UTF-8):	Biblioteka znakowania MusicBrainz
Name:		libtunepimp
%define		_major	0.5
Version:	%{_major}.3
Release:	6
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz
# Source0-md5:	09649f983acef679a548344ba7a9bb2f
Patch0:		%{name}-ltdl.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	flac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmusicbrainz-devel >= 2.1.0
BuildRequires:	libofa-devel >= 0.4.0
BuildRequires:	libstdc++-devel >= 2:1.4d
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	mpeg4ip-devel
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz tagging library.

%description -l pl.UTF-8
Biblioteka znakowania MusicBrainz.

%package devel
Summary:	Header files for libtunepimp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libtunepimp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libltdl-devel
Requires:	libmusicbrainz-devel >= 2.1.0
Requires:	libofa-devel >= 0.4.0
Requires:	libstdc++-devel >= 2:1.4d

%description devel
Header files for libtunepimp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libtunepimp.

%package static
Summary:	Static libtunepimp library
Summary(pl.UTF-8):	Statyczna biblioteka libtunepimp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtunepimp library.

%description static -l pl.UTF-8
Statyczna biblioteka libtunepimp.

%package -n python-tunepimp
Summary:	Python bindings for libtunepimp library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libtunepimp
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}

%description -n python-tunepimp
Python bindings for libtunepimp library.

%description -n python-tunepimp -l pl.UTF-8
Wiązania Pythona do biblioteki libtunepimp.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/ -O2//' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

# perl bindings are not updated to current API
#cd perl/tunepimp-perl
#%{__perl} Makefile.PL \
#	OPTIMIZE="%{rpmcflags}"
#%{__make}
# cd ../..

cd python
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed, but used by installed headers (track.h, tunepimp.h)
install lib/threads/posix/mutex.h \
	lib/{analyzer,filecache,plugins,readmeta,write}.h \
	include/tunepimp-*/metadata.h \
	$RPM_BUILD_ROOT%{_includedir}/tunepimp-%{_major}

#cd perl/tunepimp-perl
#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT
#install -D examples/tp_tagger.pl $RPM_BUILD_ROOT%{_bindir}/tp_tagger
# cd ../..

cd python
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%py_postclean
install -D examples/trm.py $RPM_BUILD_ROOT%{_bindir}/trm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.LGPL TODO
%attr(755,root,root) %{_bindir}/puid
%attr(755,root,root) %{_libdir}/libtunepimp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtunepimp.so.5
%dir %{_libdir}/tunepimp
%dir %{_libdir}/tunepimp/plugins
%attr(755,root,root) %{_libdir}/tunepimp/plugins/*.tpp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtunepimp.so
%{_libdir}/libtunepimp.la
%{_includedir}/tunepimp-%{_major}

%files static
%defattr(644,root,root,755)
%{_libdir}/libtunepimp.a

%files -n python-tunepimp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/trm
%dir %{py_sitescriptdir}/tunepimp
%{py_sitescriptdir}/tunepimp/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtunepimp.spec,v $
Revision 1.26.2.8  2008-02-21 18:01:51  glen
- ghost soname symlink; rebuild; rel 6

Revision 1.26.2.7  2008-02-19 22:33:29  glen
- convert to utf8

Revision 1.26.2.6  2008-02-19 21:57:22  glen
- release 5

Revision 1.26.2.5  2007-03-18 13:58:04  glen
- rel 4 (curl rebuild)

Revision 1.26.2.4  2007/03/18 00:34:36  glen
- rel 3 (curl)

Revision 1.26.2.3  2007/01/26 16:54:08  glen
- rel 2

Revision 1.26.2.2  2006/12/01 09:03:31  glen
- updated to 0.5.3

Revision 1.26.2.1  2006/11/02 22:53:50  hawk
- adjusted for Ac

Revision 1.26  2006/10/05 20:08:03  arekm
- up to 0.5.2

Revision 1.25  2006/10/03 21:50:02  pluto
- keep headers in /usr/include/tunepimp-0.5, release 6.

Revision 1.24  2006/09/27 20:15:52  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.23  2006/09/07 07:39:12  qboosh
- BR: python >= 2.5 (to avoid missing ctypes dependency)

Revision 1.22  2006/09/06 23:19:13  wrobell
- build with python 2.5 (ctypes module is provided by python-modules, now)
- rel. 4

Revision 1.21  2006/08/24 20:40:32  qboosh
- -devel R: curl-devel expat-devel

Revision 1.20  2006/08/23 18:52:31  wolf
- devel R: libofa-devel

Revision 1.19  2006/08/22 12:22:24  glen
- drop /usr/include/tunepimp symlink and surrounding hacks, rel 3

Revision 1.18  2006/08/22 11:19:09  glen
- dir to symlink change hack, rel 2

Revision 1.17  2006/08/16 21:56:13  qboosh
- updated to 0.5.1, removed obsolete fix patch

Revision 1.16  2006/08/09 10:54:37  adamg
- release 3; rebuild agains openssl-0.9.8b

Revision 1.15  2006/07/23 10:45:14  pluto
- %files updated (add symlink).

Revision 1.14  2006/07/23 07:50:10  pluto
- includes symlink (/usr/include/tunepimp-$ver -> tunepimp), release 2.

Revision 1.13  2006/07/22 08:00:15  qboosh
- updated to 0.5 (code affected by CVE-2006-3600 has been removed)
- added ltdl,fix patches, removed outdated readline patch
- package python bindings

Revision 1.12  2006/02/04 12:53:03  qboosh
- updated to 0.4.2
- libid3tag-devel no longer used (two modified versions of id3tag in sources)
- BR: taglib-devel for MPC and WMA support
- -devel no longer requires {libmad,libvorbis}-devel - plugins used

Revision 1.11  2006/01/12 20:04:11  qboosh
- updated to 0.4.1, removed obsolete gcc4 patch

Revision 1.10  2005/11/17 02:06:49  pluto
- updated to 0.4.0, flac metadata support enabled, gcc4 fix.

Revision 1.9  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.8  2005/06/11 23:07:15  zbyniu
- R: libstdc++-devel in -devel

Revision 1.7  2005/05/25 14:41:30  pluto
- release 3 for Th.

Revision 1.6  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.5  2004/06/28 23:09:12  grzegol
- added include_signal_h patch (it's needed for pthread_kill)

Revision 1.4  2004/04/20 21:47:11  qboosh
- updated to 0.3.0

Revision 1.3  2004/02/20 17:21:31  grzegol
- rel. 2 to rebuild with libmusicbrainz-2.1.0

Revision 1.2  2003/08/02 21:29:30  qboosh
- 0.2.1

Revision 1.1  2003/07/26 16:43:37  qboosh
- new; readline patch to use curses- not termcap-based readline
